Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class UserProfile

    java.lang.Object
      org.jasig.portal.UserProfile

All Implemented Interfaces:
  java.io.Serializable

    public class UserProfile

extends java.lang.Object
implements java.io.Serializable

A user profile associates a user layout with a structure and theme stylesheet.

Version:
  $Revision: 1.12.4.2 $
Author:
  Peter Kharchenko
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `description`
`protected int` | `id`
`protected int` | `layout_id`
`protected LocaleManager` | `localeManager`
`protected java.lang.String` | `pName`
`protected int` | `struct_ss_id`
`protected boolean` | `system`
`protected int` | `theme_ss_id`

Constructor Summary
`UserProfile()`
`UserProfile(int id, java.lang.String name, java.lang.String desc, int layout_id, int struct_ss, int theme_ss)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getLayoutId()`
`LocaleManager` | `getLocaleManager()`
`java.lang.String` | `getProfileDescription()`
`int` | `getProfileId()`
`java.lang.String` | `getProfileName()`
`int` | `getStructureStylesheetId()`
`int` | `getThemeStylesheetId()`
`boolean` | `isSystemProfile()`
`void` | `setLayoutId(int layout_id)`
`void` | `setLocaleManager(LocaleManager lm)`
`void` | `setProfileDescription(java.lang.String desc)`
`void` | `setProfileId(int id)`
`void` | `setProfileName(java.lang.String name)`
`void` | `setStructureStylesheetId(int ss_id)`
`void` | `setSystemProfile(boolean s)`
`void` | `setThemeStylesheetId(int ss_id)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected int id

### pName

    protected java.lang.String pName

### description

    protected java.lang.String description

### layout_id

    protected int layout_id

### struct_ss_id

    protected int struct_ss_id

### theme_ss_id

    protected int theme_ss_id

### system

    protected boolean system

### localeManager

    protected LocaleManager localeManager

Constructor Detail

### UserProfile

    public UserProfile()

### UserProfile

    public UserProfile(int id,
                       java.lang.String name,
                       java.lang.String desc,
                       int layout_id,
                       int struct_ss,
                       int theme_ss)

Method Detail

### getProfileId

    public int getProfileId()

### getProfileName

    public java.lang.String getProfileName()

### getProfileDescription

    public java.lang.String getProfileDescription()

### getLayoutId

    public int getLayoutId()

### getStructureStylesheetId

    public int getStructureStylesheetId()

### getThemeStylesheetId

    public int getThemeStylesheetId()

### isSystemProfile

    public boolean isSystemProfile()

### setProfileId

    public void setProfileId(int id)

### setProfileName

    public void setProfileName(java.lang.String name)

### setProfileDescription

    public void setProfileDescription(java.lang.String desc)

### setLayoutId

    public void setLayoutId(int layout_id)

### setStructureStylesheetId

    public void setStructureStylesheetId(int ss_id)

### setThemeStylesheetId

    public void setThemeStylesheetId(int ss_id)

### setSystemProfile

    public void setSystemProfile(boolean s)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### setLocaleManager

    public void setLocaleManager(LocaleManager lm)

### getLocaleManager

    public LocaleManager getLocaleManager()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD